Subject: Re: [PATCH net] bonding: only set speed/duplex to unknown, if getting speed failed

From: Thomas Bogendoerfer <[email-masked]>
Date: Mon, 2 Feb 2026 15:17:26 +0100

On Fri, 30 Jan 2026 12:36:19 +0000
Hangbin Liu <[email-masked]> wrote:

> On Fri, Jan 30, 2026 at 12:19:04PM +0100, Thomas Bogendoerfer wrote:
> > bond_update_speed_duplex() first set speed/duplex to unknown and
> > then asks slave driver for current speed/duplex. Since getting
> > speed/duplex might take longer there is a race, where this false state
> > is visible by /proc/net/bonding. With commit 691b2bf14946 ("bonding:  
> 
> The patch looks good to me. But based on your description, I don't think
> the fixes tag is correct.

the race is old, but it got visible by that commit. Before 
bond_update_speed_duplex() was only called on enslaving and when bond
is brought up. Now it could also be called during normal operation and
that's what caught attention by customers.

I'm fine changing the fixes tag to whatever we agree to. So which should
I take ?

Thomas.

-- 
SUSE Software Solutions Germany GmbH
HRB 36809 (AG Nürnberg)
Geschäftsführer: Jochen Jaser, Andrew McDonald, Werner Knoblich